=== modified file 'NEWS'
--- NEWS	2008-02-01 05:39:34 +0000
+++ NEWS	2008-02-04 22:01:14 +0000
@@ -106,6 +106,10 @@
       ``SearchResult`` can be used to recreate the search later, which will
       be useful in reducing network traffic. (Robert Collins)
 
+    * Use convenience function to check whether two repository handles 
+      are referring to the same repository in ``Repository.get_graph``. 
+      (Jelmer Vernooij, #187162)
+
     * Fetching now passes the find_ghosts flag through to the 
       ``InterRepository.missing_revision_ids`` call consistently for all
       repository types. This will enable faster missing revision discovery with

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2008-01-29 06:56:51 +0000
+++ bzrlib/repository.py	2008-02-04 22:01:14 +0000
@@ -1778,8 +1778,7 @@
         """Return the graph walker for this repository format"""
         parents_provider = self._make_parents_provider()
         if (other_repository is not None and
-            other_repository.bzrdir.transport.base !=
-            self.bzrdir.transport.base):
+            not self.has_same_location(other_repository)):
             parents_provider = graph._StackedParentsProvider(
                 [parents_provider, other_repository._make_parents_provider()])
         return graph.Graph(parents_provider)

